<div class="usc_app_page_wrap" style="min-height:500px;-webkit-font-smoothing:initial;-moz-osx-font-smoothing:initial;">

<img id="loading_gif" src="data/img/loading.gif"/>
<link rel='stylesheet' href='{$data_server}css/widget_customizer.min.css'/>
<script src="{$data_server}js/usc_emoji.min.js"></script>
<script src='{$data_server}js/color_picker/spectrum.js'></script>
<link rel='stylesheet' href='{$data_server}js/color_picker/spectrum.css'/>

<script> var jsThemeConfig = JSON.parse('{$jsonString}');</script>

	<div class="container-fluid" id="container">
    {if $smarty.get.e == ''}
	
        <span class="preset_number">Preset:&nbsp;{$smarty.get.p}&nbsp;&nbsp;</span>

        {assign var="prevPreset" value=$smarty.get.p-1}
        {assign var = 'currentPreset' value=$delimiter|cat:'p='|cat:$smarty.get.p}

        {if $smarty.get.p == ''}
        {assign var="nextPreset" value=2}{else}{assign var="nextPreset" value=$smarty.get.p+1}
        {/if}

        {if $smarty.get.p > 1 && $smarty.get.p <= $foundPresets}
        <a id="next_Preset" href="{$smarty.server.REQUEST_URI|replace:$currentPreset:''}{$delimiter}p={$prevPreset}"
           class="link_as_button">
            <icon data-icon="k" class="next_preset"></icon>
        </a>
        {/if}

        {if $smarty.get.p < $foundPresets}
        <a id="next_Preset" href="{$smarty.server.REQUEST_URI|replace:$currentPreset:''}{$delimiter}p={$nextPreset}"
           class="link_as_button">
            <icon data-icon="i" class="prev_preset"></icon>
        </a>
        {/if}

        <form method="post" class="preset_form">
                <button type="submit" name="publish_preset" value="true" class="btn btn-primary">Publish</button>
                <button type="submit" name="add_preset" value="add" class="btn btn-danger">+ New</button>
                <button type="submit" name="restore_preset" value="restore" class="btn btn-info" 
						onclick="return confirm('Restore this preset to default settings?')">Restore Default</button>
			    {if $smarty.get.p > 10}
				   <button type="submit" name="delete_preset" value="delete" class="btn btn-warning">Delete</button> 	
				{/if}	
       </form>
	

       <br/><br/><br/>

       <div class="col-lg-4" id="module_holder1" style="padding:0"></div>
       <div class="col-lg-4" id="module_holder2" style="padding:0"></div>
       <div class="col-lg-4" id="module_holder3" style="padding:0"></div>

    {/if}
	</div>
	
</div>

<script>
{literal}

function setSlideUpToggle(e){if("default"==jsThemeConfig.triggerMethod&&("closed"==e?(document.getElementById("ultimate_chat_btn_wrap").style.display="block",document.getElementById("ultimate_chat_holder").style.display="none"):(document.getElementById("ultimate_chat_holder").style.display="block",void 0!=document.getElementById("ultimate_chat_btn_wrap")&&(document.getElementById("ultimate_chat_btn_wrap").style.display="none")),void 0!=document.getElementById("ultimate_chat_close_holder")&&(document.getElementById("ultimate_chat_close_holder").onclick=function(){setSlideUpToggle("closed")})),"slideup"==jsThemeConfig.triggerMethod){var t=document.getElementById("ultimate_chat_holder"),a=40,s=400,i=400,o=null,l="";"closed"==e?(l=!1,t.style.height=a+"px"):(l=!0,t.style.height=s+"px"),document.getElementById("chat_link_holder").onclick=function(){var e=document.getElementById("ultimate_chat_holder").getAttribute("data-module"),r=getStyle("ultimate_chat_holder","width");s="580px"==r?580:400,clearInterval(o);var n=parseInt(t.style.height),d=(new Date).getTime(),m=(l=!l)?s:a,c=m-parseInt(t.style.height);o=setInterval(function(){var a=(new Date).getTime()-d;if(i>a){var s=Math.floor(c*a/i),l=n+s;2==e&&"default"!=jsThemeConfig.headerStyle&&(45>l?(void 0!=document.getElementById("header_image")&&(document.getElementById("header_image").style.display="none"),void 0!=document.getElementById("header_subtext")&&(document.getElementById("header_subtext").style.display="none")):(void 0!=document.getElementById("header_image")&&(document.getElementById("header_image").style.display="block"),void 0!=document.getElementById("header_subtext")&&(document.getElementById("header_subtext").style.display="block"))),void 0!=document.getElementById("ultimate_chat_bottom_textarea_wrapper")&&(l>390?document.getElementById("ultimate_chat_bottom_textarea_wrapper").style.display="block":document.getElementById("ultimate_chat_bottom_textarea_wrapper").style.display="none"),t.style.height=l+"px"}else t.style.height=m+"px",clearInterval(o)},1)}}if("slideside"==jsThemeConfig.triggerMethod){var r="-330px";"closed"==e?document.getElementById("ultimate_chat_holder").style.marginRight=r:document.getElementById("ultimate_chat_holder").style.marginRight="0px",document.getElementById("ultimate_chat_link_holder").onclick=function(){var e=getStyle("ultimate_chat_holder","width");r="330px"==e?"-330px":"-580px";var t=getStyle("ultimate_chat_holder","margin-right");t==r?document.getElementById("ultimate_chat_holder").style.marginRight="0px":document.getElementById("ultimate_chat_holder").style.marginRight=r}}}function getStyle(e,t){var a,s=document.getElementById(e);return s.currentStyle?a=s.currentStyle[t]:window.getComputedStyle&&(a=document.defaultView.getComputedStyle(s,null).getPropertyValue(t)),a}function loadModules(){var e="",t="",a="";""==editModule&&(e='<div class="editLink">General Widget Design<a href="?url=settings&p={/literal}{$smarty.get.p}{literal}&e=1" style="margin-left:20px">Edit</a></div>',t='<div class="editLink">Conversation Layout Design<a href="?url=settings&p={/literal}{$smarty.get.p}{literal}&e=2" style="margin-left:20px">Edit</a></div>',a='<div class="editLink">Away Layout Design<a href="?url=settings&p={/literal}{$smarty.get.p}{literal}&e=3" style="margin-left:20px">Edit</a></div>');$(".ultimate_chat_holder");$("#module_holder1").html(e+mark_up),$("#module_holder2").html(t+chatMarkup),$("#module_holder3").html(a+message_init),$(".ultimate_chat_holder").css({display:"block",position:"relative"}),$(".ultimate_chat_btn_wrap").hide(),1==editModule&&"default"==currentTrigger&&($("#ultimate_chat_btn_wrap").contents().appendTo("#button_preview"),$("#ultimate_chat_start_btn").css({top:"17px","margin-top":"-30px"})),"slideside"==jsThemeConfig.triggerMethod&&2!=editModule&&$(".ultimate_chat_header_text").css({"margin-top":"-55px"})}function createClass(e,t){var a=document.createElement("style");a.type="text/css",document.getElementsByTagName("head")[0].appendChild(a),(a.sheet||{}).insertRule?a.sheet.insertRule(e+"{"+t+"}",0):(a.styleSheet||a.sheet).addRule(e,t)}function addClass(e,t){for(var a=document.getElementsByClassName(e),s=0,i=a.length;i>s;s++)a[s].className+=" "+t}function removeClass(e,t){for(var a=document.getElementsByClassName(e),s=0,i=a.length;i>s;s++)a[s].className=a[s].className.replace(t,"")}function modifyClass(e,t,a){var s,i=document.getElementsByClassName(e);for(s=0;s<i.length;s++)i[s].setAttribute("style",t+": "+a+";")}function setStyleRule(e,t){var a=document.styleSheets[document.styleSheets.length-1];for(var s in document.styleSheets)if(document.styleSheets.hasOwnProperty(s)&&document.styleSheets[s].href&&document.styleSheets[s].href.indexOf("widget_customizer.css")){a=document.styleSheets[s];break}a.addRule?a.addRule(e,t):a.insertRule&&a.insertRule(e+" { "+t+" }",a.cssRules.length)}function appendClassContent(e,t){for(var a=document.getElementsByClassName(e),s=0,i=a.length;i>s;s++)a[s].innerHTML=t}function buildLayout(e){var t=document.getElementById("ultimate_chat_holder").getAttribute("data-module"),a=$('*[data-module="2"]');if(1==e){if("image"==jsThemeConfig.backgroundStyle){addClass("ultimate_chat_holder","ultimate_chat_holder_bg_img");var s=jsThemeConfig.widgetBackgroundFile;modifyClass("ultimate_chat_holder_bg_img","background","url("+s+") repeat center;"),modifyClass("default_chat_history","background","transparent")}if("image"==jsThemeConfig.headerStyle){"slideside"==jsThemeConfig.triggerMethod?addClass(" ultimate_chat_link_holder_slideside","ultimate_chat_header_bg_img"):addClass("ultimate_chat_header","ultimate_chat_header_bg_img");var i=jsThemeConfig.widgetHeaderFile,o="";"slideside"==jsThemeConfig.triggerMethod&&(o="border-top-left-radius: "+jsThemeConfig.widgetRadius+"; border-top-right-radius: "+jsThemeConfig.widgetRadius+"; border-bottom-left-radius: "+jsThemeConfig.widgetRadius),modifyClass("ultimate_chat_header_bg_img","background","url("+i+") repeat left;"+o)}"none"!=jsThemeConfig.headerImageType&&(a.find(".ultimate_chat_header").addClass("header_tall"),a.find(".ultimate_chat_link_holder_slideside").addClass("header_tall"),a.find(".ultimate_chat_options_li").addClass("options_tall"),void 0!=document.getElementById("header_subtext")&&(document.getElementById("header_subtext").style.position="relative"),"logo"==jsThemeConfig.headerImageType&&void 0!=document.getElementById("header_image")&&(document.getElementById("header_image").innerHTML='<img src="'+jsThemeConfig.widgetLogoFile+'"/>'),"operator"==jsThemeConfig.headerImageType&&(l="{/literal}{$smarty.session.user.avatar}{literal}",r="",r=""!=l?dataServer+l:dataServer+"config/themes/img/avatars/default.png",void 0!=document.getElementById("header_image")&&(document.getElementById("header_image").innerHTML='<img src="'+r+'"/>')),addClass(jsThemeConfig.triggerMethod+"_chat_history_holder",jsThemeConfig.triggerMethod+"_chat_history_holder_low"),addClass(jsThemeConfig.triggerMethod+"_chat_history",jsThemeConfig.triggerMethod+"_chat_history_low")),"slideside"!=jsThemeConfig.triggerMethod&&"20px"==jsThemeConfig.widgetRadius&&$(".ultimate_chat_header").css({borderTopLeftRadius:"20px",borderTopRightRadius:"20px"})}if(appendClassContent("a_2","Admin Name"),appendClassContent("a_3","1 minute ago"),appendClassContent("a_4",jsThemeConfig.initMsgModule_2),appendClassContent("u_2","User Name"),appendClassContent("u_3","Just now"),appendClassContent("u_4","Can you help me find the products page?"),addClass("a_reply","theme"+jsThemeConfig.themeSelect),"none"!=jsThemeConfig.adminAvatarSelect&&addClass("a_1","admin_avatar"),2==jsThemeConfig.themeSelect&&setStyleRule(".right_bubble::after",'content: ""; position: absolute; border-style: solid;border-width: 6px 0 6px 29px;border-color: transparent '+jsThemeConfig.adminMessageColor+"; right: -12px; top: 24px;"),addClass("a_content_wrap","right_bubble"),5!=jsThemeConfig.themeSelect&&modifyClass("a_content_wrap","background",jsThemeConfig.adminMessageColor),addClass("a_2","admin_name"),modifyClass("admin_name","color",jsThemeConfig.adminNameColor),addClass("a_3","admin_time"),setStyleRule(".admin_time","color: "+jsThemeConfig.adminTimeColor+" !important"),addClass("a_4","admin_msg right_msg_bubble"),modifyClass("admin_msg","background",jsThemeConfig.adminMessageColor),setStyleRule(".admin_msg","color: "+jsThemeConfig.adminFontColor+" !important"),2==jsThemeConfig.themeSelect&&""==jsThemeConfig.adminNameColor&&""==jsThemeConfig.adminTimeColor&&modifyClass("admin_msg","margin","22px 30% 15px 10px;"),3==jsThemeConfig.themeSelect&&(modifyClass("a_avatar_border","background",jsThemeConfig.adminMessageColor),""==jsThemeConfig.adminNameColor&&$(".admin_time").css({"margin-right":"0px"}),"none"==jsThemeConfig.adminAvatarSelect&&addClass("a_1","admin_avatar_ex")),4==jsThemeConfig.themeSelect&&(setStyleRule(".right_msg_bubble::after",'content: ""; position: absolute; border-style: solid; border-width: 0 10px 10px; border-color: '+jsThemeConfig.adminMessageColor+" transparent; display: block; width: 0; z-index: 1; top: -10px; right: 20px;"),"none"==jsThemeConfig.adminAvatarSelect&&(addClass("a_2","admin_name_ex"),addClass("a_3","admin_time_ex"))),5==jsThemeConfig.themeSelect&&setStyleRule(".admin_msg::after",'border-radius: 20px / 10px;content: ""; display: block; position: absolute;border: 8px solid transparent; bottom: 1px; border-bottom-color: '+jsThemeConfig.adminMessageColor+"; border-radius: 20px / 10px; left: auto;right: -5px;"),""==jsThemeConfig.adminNameColor&&modifyClass("admin_name","display","none"),""==jsThemeConfig.adminTimeColor&&modifyClass("admin_time","display","none"),addClass("u_reply","theme"+jsThemeConfig.themeSelect),"none"!=jsThemeConfig.userAvatarSelect&&addClass("u_1","user_avatar"),2==jsThemeConfig.themeSelect&&setStyleRule(".left_bubble::after",'content: ""; position: absolute; border-style: solid; border-width: 6px 29px 6px 0; ;border-color: transparent '+jsThemeConfig.userMessageColor+"; left: -12px; top: 24px;"),addClass("u_content_wrap","left_bubble"),5!=jsThemeConfig.themeSelect&&modifyClass("u_content_wrap","background",jsThemeConfig.userMessageColor),addClass("u_2","user_name"),modifyClass("user_name","color",jsThemeConfig.userNameColor),addClass("u_3","user_time"),setStyleRule(".user_time","color: "+jsThemeConfig.userTimeColor+" !important"),addClass("u_4","user_msg left_msg_bubble"),modifyClass("user_msg","background",jsThemeConfig.userMessageColor),setStyleRule(".user_msg","color: "+jsThemeConfig.userFontColor+" !important"),2==jsThemeConfig.themeSelect&&""==jsThemeConfig.userNameColor&&""==jsThemeConfig.userTimeColor&&modifyClass("user_msg","margin","22px 30% 15px 10px;"),3==jsThemeConfig.themeSelect&&(modifyClass("u_avatar_border","background",jsThemeConfig.userMessageColor),""==jsThemeConfig.userNameColor&&$(".user_time").css({"margin-left":"0px"}),"none"==jsThemeConfig.userAvatarSelect&&addClass("u_1","user_avatar_ex")),4==jsThemeConfig.themeSelect&&(setStyleRule(".left_msg_bubble::after",'content: ""; position: absolute; border-style: solid; border-width: 0 12px 12px;   border-color: '+jsThemeConfig.userMessageColor+" transparent; display: block; width: 0; z-index: 1; top: -10px; left: 20px;"),"none"==jsThemeConfig.userAvatarSelect&&(addClass("u_2","user_name_ex"),addClass("u_3","user_time_ex"))),5==jsThemeConfig.themeSelect&&setStyleRule(".user_msg::after",'border-radius: 20px / 10px;content: ""; display: block; position: absolute; border: 8px solid transparent; border-bottom-color: '+jsThemeConfig.userMessageColor+"; bottom: 1px; left: -5px;"),""==jsThemeConfig.userNameColor&&modifyClass("user_name","display","none"),""==jsThemeConfig.userTimeColor&&modifyClass("user_time","display","none"),"50%"==jsThemeConfig.avatarRadius&&(addClass("admin_avatar","avatar_round"),addClass("user_avatar","avatar_round"),addClass("avatar_li","avatar_li_round")),"css"==jsThemeConfig.adminAvatarSelect&&("dynamic"==jsThemeConfig.adminAvatarCssContentStyle&&appendClassContent("admin_avatar","A"),"fixed"==jsThemeConfig.adminAvatarCssContentStyle&&appendClassContent("admin_avatar",jsThemeConfig.adminAvatarCssContent),modifyClass("admin_avatar","background-color",jsThemeConfig.adminAvatarColor),addClass("a_1","a_css_text_color"),setStyleRule(".a_css_text_color","color: "+jsThemeConfig.adminAvatarColorText+"; font-size:13px")),"img"==jsThemeConfig.adminAvatarSelect){var l="{/literal}{$smarty.session.user.avatar}{literal}",r="";r=""!=l?dataServer+l:dataServer+"config/themes/img/avatars/default.png",modifyClass("admin_avatar","background-color","transparent"),appendClassContent("a_1",'<img src="'+r+'"/>')}"css"==jsThemeConfig.userAvatarSelect&&("dynamic"==jsThemeConfig.userAvatarCssContentStyle&&appendClassContent("user_avatar","U"),"fixed"==jsThemeConfig.userAvatarCssContentStyle&&appendClassContent("user_avatar",jsThemeConfig.userAvatarCssContent),modifyClass("user_avatar","background-color",jsThemeConfig.userAvatarColor),addClass("u_1","u_css_text_color"),setStyleRule(".u_css_text_color","color: "+jsThemeConfig.userAvatarColorText+"; font-size:13px")),"img"==jsThemeConfig.userAvatarSelect&&($("#avatar_preview_wrap").show(),modifyClass("user_avatar","background-color","transparent"),"3"!=t&&selectAvatarSet("{/literal}{$smarty.post.userAvatarSet}{literal}"),"1"==jsThemeConfig.requireAvatar&&"1"==t&&(document.getElementById("user_avatar_wrapper").style.display="block",$("#avatar_holder").addClass("avatar_m1_customizer"),showAvatarSelectCustomizer()));var n=document.getElementById("username"),d=document.getElementById("useremail");null!=n&&(n.style.background=jsThemeConfig.textarea1BackgroundColor),null!=d&&(d.style.background=jsThemeConfig.textarea1BackgroundColor),"Microsoft"!=browser&&"Microsoft Internet Explorer"!=browser?(null!=n&&(n.style.color=jsThemeConfig.textarea1FontColor),null!=d&&(d.style.color=jsThemeConfig.textarea1FontColor)):setStyleRule(".ultimate_chat_input_m1","color:"+jsThemeConfig.textarea1FontColor),jsThemeConfig.textarea1PlaceholderColor&&(("Chrome"==browser||"Safari"==browser||"Opera"==browser)&&setStyleRule(".ultimate_chat_input_m1::-webkit-input-placeholder","color:"+jsThemeConfig.textarea1PlaceholderColor),"Firefox"==browser&&(setStyleRule(".ultimate_chat_input_m1:-moz-placeholder","opacity:1; color:"+jsThemeConfig.textarea1PlaceholderColor),setStyleRule(".ultimate_chat_input_m1::-moz-placeholder","opacity:1; color:"+jsThemeConfig.textarea1PlaceholderColor)),("Microsoft"==browser||"Microsoft Internet Explorer"==browser)&&setStyleRule(".ultimate_chat_input_m1:-ms-input-placeholder","color:"+jsThemeConfig.textarea1PlaceholderColor)),setStyleRule(".ultimate_chat_bottom_textarea","color:"+jsThemeConfig.textarea2FontColor),jsThemeConfig.textarea2PlaceholderColor&&setStyleRule("#usc_wysiwyg:empty:before","content: attr(placeholder);display: block; color:"+jsThemeConfig.textarea2PlaceholderColor);var m=document.getElementById("contact_name"),c=document.getElementById("contact_email"),p=document.getElementById("contact_message");null!=m&&(m.style.background=jsThemeConfig.textarea3BackgroundColor),null!=c&&(c.style.background=jsThemeConfig.textarea3BackgroundColor),null!=p&&(p.style.background=jsThemeConfig.textarea3BackgroundColor),"Microsoft"!=browser&&"Microsoft Internet Explorer"!=browser?(null!=m&&(m.style.color=jsThemeConfig.textarea3FontColor),null!=c&&(c.style.color=jsThemeConfig.textarea3FontColor),null!=p&&(p.style.color=jsThemeConfig.textarea3FontColor)):setStyleRule(".ultimate_chat_input","color:"+jsThemeConfig.textarea3FontColor),jsThemeConfig.textarea3PlaceholderColor&&(("Chrome"==browser||"Safari"==browser||"Opera"==browser)&&setStyleRule(".ultimate_chat_input::-webkit-input-placeholder","color:"+jsThemeConfig.textarea3PlaceholderColor),"Firefox"==browser&&(setStyleRule(".ultimate_chat_input:-moz-placeholder","opacity:1; color:"+jsThemeConfig.textarea3PlaceholderColor),setStyleRule(".ultimate_chat_input::-moz-placeholder","opacity:1; color:"+jsThemeConfig.textarea3PlaceholderColor)),("Microsoft"==browser||"Microsoft Internet Explorer"==browser)&&setStyleRule(".ultimate_chat_input:-ms-input-placeholder","color:"+jsThemeConfig.textarea3PlaceholderColor))}function edit(e){var t="";editModule=e;var a='<div class="customize_module">Customize this module</div>',s='<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12" style="margin-bottom: 20px;" id="module_holder'+e+'"></div>',i='<div class="col-lg-6 col-md-6 col sm-12 col-xs-12" style="margin-bottom: 20px;" id="customizer"></div>',o='<div class="h-scroll"><form method="post" id="customizer_form">';if(1==e&&(t='<h2 style="font-size:20px;">GLOBAL SETTINGS:</h2><label class="">Trigger method</label><input type="radio" name="triggerMethod" value="default" onclick="checkTrigger(this.value)"{/literal}{if $smarty.post.triggerMethod== "default"}checked{/if}{literal}>&nbsp;Button&nbsp;&nbsp;<input type="radio" name="triggerMethod" value="slideup" onclick="checkTrigger(this.value)"{/literal}{if $smarty.post.triggerMethod== "slideup"}checked{/if}{literal}>&nbsp;Slide-up&nbsp;&nbsp;<input type="radio" name="triggerMethod" value="slideside" onclick="checkTrigger(this.value)"{/literal}{if $smarty.post.triggerMethod== "slideside"}checked{/if}{literal}>&nbsp;Slide-side<div id="widget_button_options" {/literal}{if $smarty.post.triggerMethod != "default"}style="display:none"{/if}{literal}><label class="">Widget button color</label><span class="">Background&nbsp;&nbsp;</span><input type="text" name="widgetButtonColor" id="widgetButtonColor" value="{/literal}{$smarty.post.widgetButtonColor}{literal}" style="display: none;"><span class="">&nbsp;&nbsp;Gradient&nbsp;</span><input type="text" name="widgetButtonColorGradient" id="widgetButtonColorGradient" value="{/literal}{$smarty.post.widgetButtonColorGradient}{literal}" style="display: none;"><span class="">&nbsp;&nbsp;Icon&nbsp;</span><input type="text" name="widgetButtonColorIcon" id="widgetButtonColorIcon" value="{/literal}{$smarty.post.widgetButtonColorIcon}{literal}" style="display: none;"><br/><br/><br/><span class="">&nbsp;&nbsp;Preview&nbsp;</span><div style="display:inline-block" id="button_preview"></div></div><label class="">Widget radius</label><input type="radio" name="widgetRadius" value="0px" {/literal}{if $smarty.post.widgetRadius == "0px"}checked{/if}{literal}>&nbsp;Square&nbsp;&nbsp;<input type="radio" name="widgetRadius" value="20px" {/literal}{if $smarty.post.widgetRadius == "20px"}checked{/if}{literal}>&nbsp;Round<label class="">Widget border color</label><input type="text" name="widgetBorder" id="widgetBorder" value="{/literal}{$smarty.post.widgetBorder}{literal}" style="display: none;"><label class="">Widget shadow</label><input type="radio" name="widgetShadow" value="true" {/literal}{if $smarty.post.widgetShadow== "true"}checked{/if}{literal}>&nbsp;Yes&nbsp;&nbsp;<input type="radio" name="widgetShadow" value="false" {/literal}{if $smarty.post.widgetShadow== "false"}checked{/if}{literal}>&nbsp;No<label class="">Background</label><input type="radio" name="backgroundStyle" value="image" onclick="backgroundStyleSelect(this.value)"{/literal}{if $smarty.post.backgroundStyle== "image"}checked{/if}{literal}>&nbsp;Image&nbsp;&nbsp;<input type="radio" name="backgroundStyle" value="color" onclick="backgroundStyleSelect(this.value)"{/literal}{if $smarty.post.backgroundStyle== "color"}checked{/if}{literal}>&nbsp;Color<div id="background_image_wrap" style="display:none"><br/><div id="backgrounds_holder" style="display:inline-block"><ul id="backgrounds_list"></ul></div><div class="ajax_uploader"><p>Upload a background image</p><input type="file" name="file" id="file_backgrounds"><p class="help-block">JPG or PNG (Max: 600px by 600px)</p><button type="button" value="Upload File" class="btn btn-primary" onclick="uploadFile(\'backgrounds\')">Upload</button><p id="error_handling_backgrounds" style="color:red; visibility:hidden">&nbsp;</p><progress id="progressBar_backgrounds" value="0" max="100" style="width:300px; display:none"></progress><p id="loaded_n_total_backgrounds" style="display:none"></p><p id="status_backgrounds" style="display:none"></p></div></div><div id="background_color_wrap" style="display:none"><br/><input type="text" name="backgroundColor" id="backgroundColor" value="{/literal}{$smarty.post.backgroundColor}{literal}" style="display: none;"></div><h2 style="font-size:20px;">HEADER SETTINGS:</h2><label class="">Header background</label><input type="radio" name="headerStyle" value="image" onclick="headerStyleSelect(this.value)"{/literal}{if $smarty.post.headerStyle== "image"}checked{/if}{literal}>&nbsp;Image&nbsp;&nbsp;<input type="radio" name="headerStyle" value="color" onclick="headerStyleSelect(this.value)"{/literal}{if $smarty.post.headerStyle== "color"}checked{/if}{literal}>&nbsp;Color<div id="header_image_wrap" style="display:none"><br/><div id="headers_holder" style="display:inline-block"><ul id="headers_list"></ul></div><div class="ajax_uploader"><p>Upload a header image</p><input type="file" name="file" id="file_headers"><p class="help-block">JPG or PNG (Max: 600px by 60px)</p><button type="button" value="Upload File" class="btn btn-primary" onclick="uploadFile(\'headers\')">Upload</button><p id="error_handling_headers" style="color:red; visibility:hidden">&nbsp;</p><progress id="progressBar_headers" value="0" max="100" style="width:300px; display:none"></progress><p id="loaded_n_total_headers" style="display:none"></p><p id="status_headers" style="display:none"></p></div></div><div id="header_color_wrap" style="display:none"><br/><input type="text" name="headerColor" id="headerColor" value="{/literal}{$smarty.post.headerColor}{literal}" style="display: none;"><span class="">&nbsp;&nbsp;Gradient&nbsp;</span><input type="text" name="headerGradient" id="headerGradient" value="{/literal}{$smarty.post.headerGradient}{literal}" style="display: none;"></div><br/><h2 style="font-size:20px;">MODULE SETTINGS:</h2><label class="">Header Title</label><input type="text" style="width:100%; min-width:200px; max-width:264px;" name="headerTextM1" id="headerTextM1" value="{/literal}{$smarty.post.headerTextM1}{literal}"><input type="text" name="headerTextColor" class="headerTextColor" value="{/literal}{$smarty.post.headerTextColor}{literal}" style="display: none;"><label class="">Initial message</label><textarea name="initMsgModule_1" id="initMsgModule_1" style="width:95%; max-width:400px">{/literal}{$smarty.post.initMsgModule_1}{literal}</textarea><span class="">&nbsp;&nbsp;Color&nbsp;</span><input type="text" name="initMsgColor" class="initMsgColor" value="{/literal}{$smarty.post.initMsgColor}{literal}" style="display: none;"><label class="">Require Avatar</label><input type="radio" name="requireAvatar" value="1" onclick="checkOverrideM1(this.value)" {/literal}{if $smarty.post.requireAvatar== "1"}checked{/if}{literal}>&nbsp;Yes&nbsp;&nbsp;<input type="radio" name="requireAvatar" value="0" onclick="checkOverrideM1(this.value)" {/literal}{if $smarty.post.requireAvatar== "0"}checked{/if}{literal}>&nbsp;No<label class="">Select User Avatar Set</label><input type="radio" name="userAvatarSet" value="set_1" onclick="selectAvatarSet(this.value)" {/literal}{if $smarty.post.userAvatarSet == "set_1"}checked{/if}{literal}>&nbsp;Set 1&nbsp;&nbsp;<input type="radio" name="userAvatarSet" value="set_2" onclick="selectAvatarSet(this.value)" {/literal}{if $smarty.post.userAvatarSet == "set_2"}checked{/if}{literal}>&nbsp;Set 2&nbsp;&nbsp;<input type="radio" name="userAvatarSet" value="set_3" onclick="selectAvatarSet(this.value)" {/literal}{if $smarty.post.userAvatarSet == "set_3"}checked{/if}{literal}>&nbsp;Set 3&nbsp;&nbsp;<input type="radio" name="userAvatarSet" value="set_4" onclick="selectAvatarSet(this.value)" {/literal}{if $smarty.post.userAvatarSet == "set_4"}checked{/if}{literal}>&nbsp;Set 4&nbsp;&nbsp;<input type="radio" name="userAvatarSet" value="set_5" onclick="selectAvatarSet(this.value)" {/literal}{if $smarty.post.userAvatarSet == "set_5"}checked{/if}{literal}>&nbsp;Set 5&nbsp;&nbsp;<input type="radio" name="userAvatarSet" value="set_6" onclick="selectAvatarSet(this.value)" {/literal}{if $smarty.post.userAvatarSet == "set_6"}checked{/if}{literal}>&nbsp;Set 6&nbsp;&nbsp;<input type="radio" name="userAvatarSet" value="set_7" onclick="selectAvatarSet(this.value)" {/literal}{if $smarty.post.userAvatarSet == "set_7"}checked{/if}{literal}>&nbsp;Set 7<label class="">Avatar radius</label><input type="radio" name="avatarRadius" value="3px" {/literal}{if $smarty.post.avatarRadius == "3px"}checked{/if}{literal}>&nbsp;Square&nbsp;&nbsp;<input type="radio" name="avatarRadius" value="50%" {/literal}{if $smarty.post.avatarRadius == "50%"}checked{/if}{literal}>&nbsp;Round<label class="">Require Name</label><input type="radio" name="requireName" value="1" {/literal}{if $smarty.post.requireName== "1"}checked{/if}{literal}>&nbsp;Yes&nbsp;&nbsp;<input type="radio" name="requireName" value="0" {/literal}{if $smarty.post.requireName== "0"}checked{/if}{literal}>&nbsp;No<label class="">Require Email</label><input type="radio" name="requireEmail" value="1" {/literal}{if $smarty.post.requireEmail== "1"}checked{/if}{literal}>&nbsp;Yes&nbsp;&nbsp;<input type="radio" name="requireEmail" value="0" {/literal}{if $smarty.post.requireEmail== "0"}checked{/if}{literal}>&nbsp;No<label class="">Text Fields Design</label><span class="">&nbsp;&nbsp;Background&nbsp;</span><input type="text" name="textarea1BackgroundColor" id="textarea1BackgroundColor" value="{/literal}{$smarty.post.textarea1BackgroundColor}{literal}" style="display: none;"><span class="">&nbsp;&nbsp;Placeholder&nbsp;</span><input type="text" name="textarea1PlaceholderColor" id="textarea1PlaceholderColor" value="{/literal}{$smarty.post.textarea1PlaceholderColor}{literal}" style="display: none;"><span class="">&nbsp;&nbsp;Text&nbsp;</span><input type="text" name="textarea1FontColor" id="textarea1FontColor" value="{/literal}{$smarty.post.textarea1FontColor}{literal}" style="display: none;"><br/><br/><span class="">&nbsp;&nbsp;Name Pleaceholder&nbsp;&nbsp;</span><input type="text" style="width:100%;min-width:200px;max-width:375px" name="m1PlaceholderTextName" value="{/literal}{$smarty.post.m1PlaceholderTextName}{literal}"><br/><br/><span class="">&nbsp;&nbsp;Email Pleaceholder&nbsp;&nbsp;</span><input type="text" style="width:100%;min-width:200px;max-width:375px" name="m1PlaceholderTextEmail" value="{/literal}{$smarty.post.m1PlaceholderTextEmail}{literal}"><label class="">Button Background</label><input type="text" name="chatBtnMsgBackgroundColor" id="chatBtnMsgBackgroundColor" value="{/literal}{$smarty.post.chatBtnMsgBackgroundColor}{literal}" style="display: none;"><span class="">&nbsp;&nbsp;Gradient&nbsp;</span><input type="text" name="chatBtnMsgBackgroundGradient" id="chatBtnMsgBackgroundGradient" value="{/literal}{$smarty.post.chatBtnMsgBackgroundGradient}{literal}" style="display: none;"><label class="">Button text</label><input type="text" name="chatBtnMsg" id="chatBtnMsg" class="text_wide" value="{/literal}{$smarty.post.chatBtnMsg}{literal}"><input type="text" name="chatBtnMsgFontColor" id="chatBtnMsgFontColor" value="{/literal}{$smarty.post.chatBtnMsgFontColor}{literal}" style="display: none;"><br/>'),2==e){var l,r="",n="",d="";"dynamic"==jsThemeConfig.adminAvatarCssContentStyle&&(n="disabled"),"dynamic"==jsThemeConfig.userAvatarCssContentStyle&&(d="disabled"),"true"==jsThemeConfig.userAvatarSelectChoice?l='<label class="">Select an Avatar Set</label>':(l='<label class="">Select a fixed Avatar</label>',r='<input type="radio" name="userAvatarSet" value="set_0" onclick="selectAvatarSet(this.value)" {/literal}{if $smarty.post.userAvatarSet == "set_0"}checked{/if}{literal}>&nbsp;Default&nbsp;&nbsp;'),t='<label class="">Header image</label><input type="radio" name="headerImageType" value="none" {/literal}{if $smarty.post.headerImageType== "none"}checked{/if}{literal}>&nbsp;None&nbsp;&nbsp;<input type="radio" name="headerImageType" value="operator" {/literal}{if $smarty.post.headerImageType== "operator"}checked{/if}{literal}>&nbsp;Operator&nbsp;&nbsp;<input type="radio" name="headerImageType" value="logo" onclick="headerImageTypeSelect(this.value)"{/literal}{if $smarty.post.headerImageType== "logo"}checked{/if}{literal}>&nbsp;logo<div id="logo_image_wrap" style="display:none"><br/><div id="logos_holder" style="display:inline-block"><ul id="logos_list"></ul></div><div class="ajax_uploader"><p>Upload a logo image</p><input type="file" name="file" id="file_logos"><p class="help-block">JPG or PNG (Max: 40px by 40px)</p><button type="button" value="Upload File" class="btn btn-primary" onclick="uploadFile(\'logos\')">Upload</button><p id="error_handling_logos" style="color:red; visibility:hidden">&nbsp;</p><progress id="progressBar_logos" value="0" max="100" style="width:300px; display:none"></progress><p id="loaded_n_total_logos" style="display:none"></p><p id="status_logos" style="display:none"></p></div></div><label class="">Header Title</label><input type="text" style="width:100%; min-width:200px; max-width:264px;" name="headerTextM2" id="headerTextM2" value="{/literal}{$smarty.post.headerTextM2}{literal}"><input type="text" name="headerTextColor" class="headerTextColor" value="{/literal}{$smarty.post.headerTextColor}{literal}" style="display: none;"><label class="">Select Conversation Layout</label><input type="radio" name="themeSelect" value="1" {/literal}{if $smarty.post.themeSelect== "1"}checked{/if}{literal}>&nbsp;1&nbsp;&nbsp;<input type="radio" name="themeSelect" value="2" {/literal}{if $smarty.post.themeSelect== "2"}checked{/if}{literal}>&nbsp;2&nbsp;&nbsp;<input type="radio" name="themeSelect" value="3" {/literal}{if $smarty.post.themeSelect== "3"}checked{/if}{literal}>&nbsp;3&nbsp;&nbsp;<input type="radio" name="themeSelect" value="4" {/literal}{if $smarty.post.themeSelect== "4"}checked{/if}{literal}>&nbsp;4&nbsp;&nbsp;<input type="radio" name="themeSelect" value="5" {/literal}{if $smarty.post.themeSelect== "5"}checked{/if}{literal}>&nbsp;5<label class="">Operator Avatar</label><input type="radio" name="adminAvatarSelect" value="none" {/literal}{if $smarty.post.adminAvatarSelect == "none"}checked{/if}{literal}>&nbsp;None&nbsp;&nbsp;<input type="radio" name="adminAvatarSelect" value="img" {/literal}{if $smarty.post.adminAvatarSelect == "img"}checked{/if}{literal}>&nbsp;Image&nbsp;&nbsp;<input type="radio" name="adminAvatarSelect" value="css" onclick="operatorAvatarCssSelect(this.value)" {/literal}{if $smarty.post.adminAvatarSelect == "css"}checked{/if}{literal}>&nbsp;Color<div id="operator_avatar_css_wrap" style="display:none"><label class="">Inner text</label><input type="radio" name="adminAvatarCssContentStyle" value="dynamic" {/literal}{if $smarty.post.adminAvatarCssContentStyle == "dynamic"}checked{/if}{literal}>&nbsp;Operators\'s initial (dynamic)&nbsp;&nbsp;<input type="radio" name="adminAvatarCssContentStyle" value="fixed" {/literal}{if $smarty.post.adminAvatarCssContentStyle == "fixed"}checked{/if}{literal}>&nbsp;Fixed: &nbsp;&nbsp;<input type="text" style="width:60px" name="adminAvatarCssContent" id="adminAvatarCssContent" maxlength="3" value="{/literal}{$smarty.post.adminAvatarCssContent}{literal}" '+n+'><br/><br/><span class="">&nbsp;&nbsp;Background&nbsp;</span><input type="text" name="adminAvatarColor" id="adminAvatarColor" value="{/literal}{$smarty.post.adminAvatarColor}{literal}" style="display: none;"><span class="">&nbsp;&nbsp;Text&nbsp;</span><input type="text" name="adminAvatarColorText" id="adminAvatarColorText" value="{/literal}{$smarty.post.adminAvatarColorText}{literal}" style="display: none;"><br/><br/></div><label class="">User Avatar</label><input type="radio" name="userAvatarSelect" value="none" {/literal}{if $smarty.post.userAvatarSelect == "none"}checked{/if}{literal}>&nbsp;None&nbsp;&nbsp;<input type="radio" name="userAvatarSelect" value="img" {/literal}{if $smarty.post.userAvatarSelect == "img"}checked{/if}{literal}>&nbsp;Image&nbsp;&nbsp;<input type="radio" name="userAvatarSelect" value="css" onclick="userAvatarCssSelect(this.value)"{/literal}{if $smarty.post.userAvatarSelect == "css"}checked{/if}{literal}>&nbsp;Color<div id="user_avatar_css_wrap" style="display:none"><label class="">Inner text</label><input type="radio" name="userAvatarCssContentStyle" value="dynamic" {/literal}{if $smarty.post.userAvatarCssContentStyle == "dynamic"}checked{/if}{literal}>&nbsp;User\'s initial (dynamic)&nbsp;&nbsp;<input type="radio" name="userAvatarCssContentStyle" value="fixed" {/literal}{if $smarty.post.userAvatarCssContentStyle == "fixed"}checked{/if}{literal}>&nbsp;Fixed: &nbsp;&nbsp;<input type="text" name="userAvatarCssContent" id="userAvatarCssContent" maxlength="3" value="{/literal}{$smarty.post.userAvatarCssContent}{literal}" '+d+'><br/><br/><span class="">&nbsp;&nbsp;Background&nbsp;</span><input type="text" name="userAvatarColor" id="userAvatarColor" value="{/literal}{$smarty.post.userAvatarColor}{literal}" style="display: none;"><span class="">&nbsp;&nbsp;Text&nbsp;</span><input type="text" name="userAvatarColorText" id="userAvatarColorText" value="{/literal}{$smarty.post.userAvatarColorText}{literal}" style="display: none;"><br/><br/></div><div id="avatar_preview_wrap" style="display:none"><label class="">Allow users to select an Avatar</label><input type="radio" name="userAvatarSelectChoice" value="true" onclick="checkOverrideM2(this.value)" {/literal}{if $smarty.post.userAvatarSelectChoice == "true"}checked{/if}{literal}>&nbsp;Yes&nbsp;&nbsp;<input type="radio" name="userAvatarSelectChoice" value="fixed" onclick="checkOverrideM2(this.value)" {/literal}{if $smarty.post.userAvatarSelectChoice == "fixed"}checked{/if}{literal}>&nbsp;No. Use a fixed avatar&nbsp;&nbsp;'+l+r+'<input type="radio" name="userAvatarSet" value="set_1" onclick="selectAvatarSet(this.value)" {/literal}{if $smarty.post.userAvatarSet == "set_1"}checked{/if}{literal}>&nbsp;Set 1&nbsp;&nbsp;<input type="radio" name="userAvatarSet" value="set_2" onclick="selectAvatarSet(this.value)" {/literal}{if $smarty.post.userAvatarSet == "set_2"}checked{/if}{literal}>&nbsp;Set 2&nbsp;&nbsp;<input type="radio" name="userAvatarSet" value="set_3" onclick="selectAvatarSet(this.value)" {/literal}{if $smarty.post.userAvatarSet == "set_3"}checked{/if}{literal}>&nbsp;Set 3&nbsp;&nbsp;<input type="radio" name="userAvatarSet" value="set_4" onclick="selectAvatarSet(this.value)" {/literal}{if $smarty.post.userAvatarSet == "set_4"}checked{/if}{literal}>&nbsp;Set 4&nbsp;&nbsp;<input type="radio" name="userAvatarSet" value="set_5" onclick="selectAvatarSet(this.value)" {/literal}{if $smarty.post.userAvatarSet == "set_5"}checked{/if}{literal}>&nbsp;Set 5&nbsp;&nbsp;<input type="radio" name="userAvatarSet" value="set_6" onclick="selectAvatarSet(this.value)" {/literal}{if $smarty.post.userAvatarSet == "set_6"}checked{/if}{literal}>&nbsp;Set 6&nbsp;&nbsp;<input type="radio" name="userAvatarSet" value="set_7" onclick="selectAvatarSet(this.value)" {/literal}{if $smarty.post.userAvatarSet == "set_7"}checked{/if}{literal}>&nbsp;Set 7<label style="">Avatar Preview</label><div id="user_avatar_wrapper"><div id="avatar_holder"><ul id="avatar_list"></ul></div></div><br/></div><div id="avatar_radius_wrap" style="display:none"><label class="">Avatar radius</label><input type="radio" name="avatarRadius" value="3px" {/literal}{if $smarty.post.avatarRadius == "3px"}checked{/if}{literal}>&nbsp;Square&nbsp;&nbsp;<input type="radio" name="avatarRadius" value="50%" {/literal}{if $smarty.post.avatarRadius == "50%"}checked{/if}{literal}>&nbsp;Round</div><label class="">Initial Admin message</label><textarea name="initMsgModule_2" id="initMsgModule_2" style="width:95%; max-width:400px">{/literal}{$smarty.post.initMsgModule_2}{literal}</textarea><label class="">Admin message colors</label><span class="">&nbsp;&nbsp;Name&nbsp;</span><input type="text" name="adminNameColor" id="adminNameColor" value="{/literal}{$smarty.post.adminNameColor}{literal}" style="display: none;"><span class="">&nbsp;&nbsp;Time&nbsp;</span><input type="text" name="adminTimeColor" id="adminTimeColor" value="{/literal}{$smarty.post.adminTimeColor}{literal}" style="display: none;"><br/><br/><span class="">Background&nbsp;</span><input type="text" name="adminMessageColor" id="adminMessageColor" value="{/literal}{$smarty.post.adminMessageColor}{literal}" style="display: none;"><span class="">&nbsp;&nbsp;Text&nbsp;</span><input type="text" name="adminFontColor" id="adminFontColor" value="{/literal}{$smarty.post.adminFontColor}{literal}" style="display: none;"><label class="">Admin message audio</label><div id="admin_message_audio_wrap"><div class="options_container"><select id="adminMessageAudio" name="adminMessageAudio"><option value="1" '+("1"==jsThemeConfig.adminMessageAudio?"selected":"")+'>Default</option><option value="0" '+("0"==jsThemeConfig.adminMessageAudio?"selected":"")+'>0</option><option value="2" '+("2"==jsThemeConfig.adminMessageAudio?"selected":"")+'>2</option><option value="3" '+("3"==jsThemeConfig.adminMessageAudio?"selected":"")+'>3</option><option value="4" '+("4"==jsThemeConfig.adminMessageAudio?"selected":"")+'>4</option><option value="5" '+("5"==jsThemeConfig.adminMessageAudio?"selected":"")+'>5</option><option value="6" '+("6"==jsThemeConfig.adminMessageAudio?"selected":"")+'>6</option><option value="7" '+("7"==jsThemeConfig.adminMessageAudio?"selected":"")+'>7</option><option value="8" '+("8"==jsThemeConfig.adminMessageAudio?"selected":"")+'>8</option><option value="9" '+("9"==jsThemeConfig.adminMessageAudio?"selected":"")+'>9</option></select></div><br/><audio id="admin_audio_player"></audio><div id="admin_play_pause"><icon class="play_pause_icon fa fa-play"></icon></span></div><p class="btn-primary audio_submit_changes_btn pointer">Choose</p><br/></div><br/><label class="">User message colors</label><span class="">&nbsp;&nbsp;Name&nbsp;</span><input type="text" name="userNameColor" id="userNameColor" value="{/literal}{$smarty.post.userNameColor}{literal}" style="display: none;"><span class="">&nbsp;&nbsp;Time&nbsp;</span><input type="text" name="userTimeColor" id="userTimeColor" value="{/literal}{$smarty.post.userTimeColor}{literal}" style="display: none;"><br/><br/><span class="">Background&nbsp;</span><input type="text" name="userMessageColor" id="userMessageColor" value="{/literal}{$smarty.post.userMessageColor}{literal}" style="display: none;"><span class="">&nbsp;&nbsp;Text&nbsp;</span><input type="text" name="userFontColor" id="userFontColor" value="{/literal}{$smarty.post.userFontColor}{literal}" style="display: none;"><label class="">Typing area design</label><span class="">&nbsp;&nbsp;Background&nbsp;</span><input type="text" name="textarea2BackgroundColor" id="textarea2BackgroundColor" value="{/literal}{$smarty.post.textarea2BackgroundColor}{literal}" style="display: none;"><span class="">&nbsp;&nbsp;Placeholder&nbsp;</span><input type="text" name="textarea2PlaceholderColor" id="textarea2PlaceholderColor" value="{/literal}{$smarty.post.textarea2PlaceholderColor}{literal}" style="display: none;"><br/><br/><span class="">&nbsp;&nbsp;Text&nbsp;</span><input type="text" name="textarea2FontColor" id="textarea2FontColor" value="{/literal}{$smarty.post.textarea2FontColor}{literal}" style="display: none;"><span class="">&nbsp;&nbsp;Emoji button&nbsp;</span><input type="text" name="textarea2EmojiBtnColor" id="textarea2EmojiBtnColor" value="{/literal}{$smarty.post.textarea2EmojiBtnColor}{literal}" style="display: none;"><span class="">&nbsp;&nbsp;Reply button&nbsp;</span><input type="text" name="textarea2BtnColor" id="textarea2BtnColor" value="{/literal}{$smarty.post.textarea2BtnColor}{literal}" style="display: none;"><br/><br/><span class="">&nbsp;&nbsp;Pleaceholder&nbsp;&nbsp;</span><input type="text" style="width: 100%; min-width: 200px;max-width: 285px;" name="m2PlaceholderTextMessage" value="{/literal}{$smarty.post.m2PlaceholderTextMessage}{literal}"><label class="">User message audio</label><div id="user_message_audio_wrap"><div class="options_container"><select id="userMessageAudio" name="userMessageAudio"><option value="0" '+("0"==jsThemeConfig.userMessageAudio?"selected":"")+'>Default</option><option value="1" '+("1"==jsThemeConfig.userMessageAudio?"selected":"")+'>1</option><option value="2" '+("2"==jsThemeConfig.userMessageAudio?"selected":"")+'>2</option><option value="3" '+("3"==jsThemeConfig.userMessageAudio?"selected":"")+'>3</option><option value="4" '+("4"==jsThemeConfig.userMessageAudio?"selected":"")+'>4</option><option value="5" '+("5"==jsThemeConfig.userMessageAudio?"selected":"")+'>5</option><option value="6" '+("6"==jsThemeConfig.userMessageAudio?"selected":"")+'>6</option><option value="7" '+("7"==jsThemeConfig.userMessageAudio?"selected":"")+'>7</option><option value="8" '+("8"==jsThemeConfig.userMessageAudio?"selected":"")+'>8</option><option value="9" '+("9"==jsThemeConfig.userMessageAudio?"selected":"")+'>9</option></select></div><br/><audio id="user_audio_player"></audio><div id="user_play_pause"><icon class="play_pause_icon fa fa-play"></icon></div><p class="btn-primary audio_submit_changes_btn pointer">Choose</p><br/></div>';
}3==e&&(t='<label class="">Header Title</label><input type="text" style="width:100%; min-width:200px; max-width: 375px;" name="headerTextM3" id="headerTextM3" value="{/literal}{$smarty.post.headerTextM3}{literal}"><label class="">Text Fields Design</label><span class="">Background&nbsp;</span><input type="text" name="textarea3BackgroundColor" id="textarea3BackgroundColor" value="{/literal}{$smarty.post.textarea3BackgroundColor}{literal}" style="display: none;"><span class="">Placeholder&nbsp;</span><input type="text" name="textarea3PlaceholderColor" id="textarea3PlaceholderColor" value="{/literal}{$smarty.post.textarea3PlaceholderColor}{literal}" style="display: none;"><span class="">Text&nbsp;</span><input type="text" name="textarea3FontColor" id="textarea3FontColor" value="{/literal}{$smarty.post.textarea3FontColor}{literal}" style="display: none;"><br/><br/><span class="">&nbsp;&nbsp;Name Pleaceholder&nbsp;&nbsp;</span><input type="text" style="width:100%; min-width:200px; max-width: 375px;" name="m3PlaceholderTextName" value="{/literal}{$smarty.post.m3PlaceholderTextName}{literal}"><br/><br/><span class="">&nbsp;&nbsp;Email Pleaceholder&nbsp;&nbsp;</span><input type="text" style="width:100%; min-width:200px; max-width: 375px;" name="m3PlaceholderTextEmail" value="{/literal}{$smarty.post.m3PlaceholderTextEmail}{literal}"><br/><br/><span class="">&nbsp;&nbsp;Message Pleaceholder&nbsp;&nbsp;</span><input type="text" style="width:100%; min-width:200px; max-width: 375px;" name="m3PlaceholderTextMessage" value="{/literal}{$smarty.post.m3PlaceholderTextMessage}{literal}"><label class="">Button Design</label><span class="">&nbsp;&nbsp;Background&nbsp;</span><input type="text" name="sendMailBtnBackgroundColor" id="sendMailBtnBackgroundColor" value="{/literal}{$smarty.post.sendMailBtnBackgroundColor}{literal}" style="display: none;"><span class="">&nbsp;&nbsp;Gradient&nbsp;</span><input type="text" name="sendMailBtnBackgroundGradient" id="sendMailBtnBackgroundGradient" value="{/literal}{$smarty.post.sendMailBtnBackgroundGradient}{literal}" style="display: none;"><br/><br/><input type="text" class="text_wide" name="sendMailBtn" id="sendMailBtn" value="{/literal}{$smarty.post.sendMailBtn}{literal}"><input type="text" name="sendMailBtnFontColor" id="sendMailBtnFontColor" value="{/literal}{$smarty.post.sendMailBtnFontColor}{literal}" style="display: none;"><br/>');var m='<input type="hidden" name="editModule" value="'+e+'"/><input type="hidden" name="submit_options" value="true"/><br/><br/></form><br/></div>';'<img id="loading_gif" src="'+applicationPathAjax+'data/img/loading.gif" style="width:60px; position: relative; top:150px; left:150px; display:none"/>';$("#container").html(a+s+i),$("#customizer").html(o+t+m),loadModules(),buildLayout(!0,!1),"1"==editModule&&(backgroundStyleSelect(jsThemeConfig.backgroundStyle),headerStyleSelect(jsThemeConfig.headerStyle)),"2"==editModule&&headerImageTypeSelect(jsThemeConfig.headerImageType),"1"==jsThemeConfig.requireAvatar&&"1"==editModule&&(document.getElementById("user_avatar_wrapper").style.display="block",$("#avatar_holder").addClass("avatar_m1_customizer"),showAvatarSelectCustomizer()),"2"==editModule&&"slideside"==jsThemeConfig.triggerMethod&&($("#usc_emoji_picker").css("marginTop","166px"),$(".header_image").css("marginTop","-17px")),$(function(){var e=$("img"),t=e.length,a=function(){t--,t||restore()};e.each(function(){this.complete?a():$(this).load(a).error(a)})}),$("#widgetButtonColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0}),$("#widgetButtonColorGradient").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#widgetButtonColorIcon").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0}),$("#backgroundColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#headerColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#headerGradient").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#widgetBorder").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$(".initMsgColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$(".headerTextColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0}),$("#headerSubtextColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0}),$("#adminAvatarColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#adminAvatarColorText").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#userAvatarColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#userAvatarColorText").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#adminNameColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#adminTimeColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#adminMessageColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#adminFontColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0}),$("#userNameColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#userTimeColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#userMessageColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#userFontColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0}),$("#chatBtnMsgBackgroundColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#chatBtnMsgBackgroundGradient").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#chatBtnMsgFontColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#textarea1BackgroundColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#textarea1FontColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0}),$("#textarea1PlaceholderColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0}),$("#textarea2BackgroundColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#textarea2FontColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0}),$("#textarea2PlaceholderColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0}),$("#textarea2BtnColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#textarea2EmojiBtnColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#textarea3BackgroundColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#textarea3FontColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0}),$("#textarea3PlaceholderColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0}),$("#sendMailBtnBackgroundColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#sendMailBtnBackgroundGradient").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0,allowEmpty:!0}),$("#sendMailBtnFontColor").spectrum({preferredFormat:"hex",showInput:!0,showInitial:!0});var c=$("#customizer_form");c.find("input").not("[name=file], [name=headerTextM1], [name=headerTextM2], [name=headerTextM3], [name=headerSubtext], [name=initMsgModule_1], [name=initMsgModule_2], [name=chatBtnMsg], [name=requireAvatar], [name=userAvatarSelectChoice], [name=userAvatarSet], [name=headerStyle], [name=backgroundStyle], [name=adminAvatarCssContent], [name=userAvatarCssContent], [name=sendMailBtn], [name=m1PlaceholderTextName], [name=m1PlaceholderTextEmail], [name=m2PlaceholderTextMessage], [name=m3PlaceholderTextName], [name=m3PlaceholderTextEmail], [name=m3PlaceholderTextMessage]").click(function(){submitChanges(this.name)}),c.find("[name=headerTextM1], [name=headerTextM2], [name=headerTextM3], [name=headerSubtext], [name=initMsgModule_1], [name=initMsgModule_2], [name=chatBtnMsg], [name=adminAvatarCssContent], [name=userAvatarCssContent], [name=sendMailBtn], [name=m1PlaceholderTextName], [name=m1PlaceholderTextEmail], [name=m2PlaceholderTextMessage], [name=m3PlaceholderTextName], [name=m3PlaceholderTextEmail], [name=m3PlaceholderTextMessage]").blur(function(){submitChanges(this.name)}),jQuery(".audio_submit_changes_btn").click(function(){submitChanges()}),$(".sp-choose").click(function(){submitChanges(this.name)})}function selectAvatarSet(e){var t="{/literal}{$smarty.get.p}{literal}",a=new XMLHttpRequest;a.onreadystatechange=function(){4==a.readyState&&200==a.status&&(jsonData=JSON.parse(a.responseText),showAvatarSelect(e,jsonData))},a.open("POST",applicationPathAjax+"modules/settings/ajax/avatar_select.php",!0),a.setRequestHeader("Content-type","application/x-www-form-urlencoded"),a.setRequestHeader("X-Requested-With","XMLHttpRequest"),a.send("setName="+e+"&selectedPreset="+t)}function showAvatarSelect(e,t){for(var a=document.querySelectorAll("#avatar_holder ul li"),s=0;r=a[s];s++)r.parentNode.removeChild(r);for(var i=dataServer+"config/themes/img/avatars/"+e+"/",o=document.getElementById("avatar_list"),l=0;l<t.length;l++){var r=document.createElement("li"),n=new Image;n.src=i+t[l],r.appendChild(n),o.appendChild(r)}"fixed"==jsThemeConfig.userAvatarSelectChoice&&($("#avatar_holder > ul > li").css("cursor","pointer"),$("#avatar_holder > ul > li img").click(function(){$("<input>").attr({type:"hidden",name:"userAvatarFile",value:this.src}).appendTo("#customizer_form"),submitChanges()})),"fixed"==jsThemeConfig.userAvatarSelectChoice?appendClassContent("u_1",'<img src="'+jsThemeConfig.userAvatarFile+'"/>'):appendClassContent("u_1",'<img src="'+i+t[0]+'"/>')}function displayImageSelect(e,t){for(var a=document.querySelectorAll("#"+e+"_holder ul li"),s=0;l=a[s];s++)l.parentNode.removeChild(l);for(var i=document.getElementById(e+"_list"),o=0;o<t.length;o++){var l=document.createElement("li"),r=new Image;r.src=t[o],l.appendChild(r),i.appendChild(l)}$("#"+e+"_list > li img").click(function(){var t;"backgrounds"==e&&(t="Background"),"headers"==e&&(t="Header"),"logos"==e&&(t="Logo"),"footers"==e&&(t="Footer"),$("<input>").attr({type:"hidden",name:"widget"+t+"File",value:this.src}).appendTo("#customizer_form"),submitChanges()})}function showAvatarSelectCustomizer(){function e(){var e=document.getElementById("avatar_holder").getElementsByTagName("li");e[0].parentNode.appendChild(e[0])}for(var t=dataServer+"config/themes/img/avatars/"+jsThemeConfig.userAvatarSet+"/",a=document.getElementById("avatar_list"),s=0;s<jsThemeConfig.avatar_set_files.length;s++){var i=document.createElement("li"),o=new Image;o.src=t+jsThemeConfig.avatar_set_files[s],i.appendChild(o),a.appendChild(i)}var l=document.querySelectorAll("#avatar_holder ul li").length,r=document.querySelectorAll("#avatar_holder ul li"),n=r[0].clientWidth,d=r[0].clientHeight;document.getElementById("avatar_holder").style.width=n,document.getElementById("avatar_holder").style.height=d,document.getElementById("control_prev").onclick=function(){for(var t=0;l-1>t;t++)e()},document.getElementById("control_next").onclick=function(){e()}}function checkTrigger(e){"default"==e?($("#widget_button_options").show("slow"),$("#ultimate_chat_btn_wrap").contents().appendTo("#button_preview"),$("#ultimate_chat_start_btn").css({top:"17px","margin-top":"-30px"})):$("#widget_button_options").hide("slow")}function backgroundStyleSelect(e){"image"==e?($("#background_image_wrap").show("slow"),$("#background_color_wrap").hide("slow"),loadImages("backgrounds")):($("#background_color_wrap").show("slow"),$("#background_image_wrap").hide("slow"))}function headerStyleSelect(e){"image"==e?($("#header_image_wrap").show("slow"),$("#header_color_wrap").hide("slow"),loadImages("headers")):($("#header_color_wrap").show("slow"),$("#header_image_wrap").hide("slow"))}function headerImageTypeSelect(e){"logo"==e?($("#logo_image_wrap").show("slow"),loadImages("logos")):$("#logo_image_wrap").hide("slow")}function operatorAvatarCssSelect(e){"css"==e?$("#operator_avatar_css_wrap").show("slow"):$("#operator_avatar_css_wrap").show("hide")}function userAvatarCssSelect(e){"css"==e?$("#user_avatar_css_wrap").show("slow"):$("#user_avatar_css_wrap").show("hide")}function loadImages(e){var t=new XMLHttpRequest;t.onreadystatechange=function(){4==t.readyState&&200==t.status&&(jsonData=JSON.parse(t.responseText),displayImageSelect(e,jsonData))},t.open("POST",applicationPathAjax+"modules/settings/ajax/load_images.php",!0),t.setRequestHeader("Content-type","application/x-www-form-urlencoded"),t.setRequestHeader("X-Requested-With","XMLHttpRequest"),t.send("type="+e)}function submitChanges(){var e=$(".h-scroll").scrollTop();sessionStorage.setItem("ultimate_support_chat-jsSession--lastClickedPos",e),$("#loading_gif").css("display","block"),$(".content-wrapper").css({opacity:"0.8"}),validNavigation=!0,$("#customizer_form").submit()}function _(e){return document.getElementById(e)}function uploadFile(e){function t(t){var a=t.loaded/t.total*100;_("progressBar_"+e).value=Math.round(a),_("status_"+e).innerHTML=Math.round(a)+"% uploaded... please wait"}function a(t){loadImages(e),_("status_"+e).innerHTML=t.target.responseText,_("progressBar_"+e).style.display="none",_("progressBar_"+e).value=0}function s(t){_("status_"+e).innerHTML="Upload Failed"}function i(t){_("status_"+e).innerHTML="Upload Aborted"}var o,l,r;"backgrounds"==e&&(l=600,r=600),"headers"==e&&(l=600,r=60),"logos"==e&&(l=40,r=40);var n=_("file_"+e).files[0];if(void 0==n)return _("error_handling_"+e).style.visibility="visible",void(_("error_handling_"+e).innerHTML="Please select a file before clicking the upload button.");if(_("error_handling_"+e).style.visibility="hidden","image/jpeg"!=n.type&&"image/png"!=n.type)return _("error_handling_"+e).style.visibility="visible",_("error_handling_"+e).innerHTML="The file format must be jpg or png.",void(_("file_"+e).value="");var d=window.URL||window.webkitURL;o=new Image,o.onload=function(){if(this.width>l||this.height>r)return _("error_handling_"+e).style.visibility="visible",void(_("error_handling_"+e).innerHTML="Please select an image file with maximum "+l+" px by "+r+" px dimensions.");_("progressBar_"+e).style.display="block";var o=new FormData;o.append("file",n),o.append("type",e);var d=new XMLHttpRequest;d.upload.addEventListener("progress",t,!1),d.addEventListener("load",a,!1),d.addEventListener("error",s,!1),d.addEventListener("abort",i,!1),d.open("POST",applicationPathAjax+"modules/users/ajax/upload_parser.php",!0),d.setRequestHeader("X-Requested-With","XMLHttpRequest"),d.send(o)},o.src=d.createObjectURL(n)}function checkOverrideM1(e){if("1"==e&&"fixed"==jsThemeConfig.userAvatarSelectChoice){var t=confirm("You have selected a fixed avatar in the Conversation Layout Design Module.\n\nRequiring users to select an avatar will over-ride that setting.\n\nContinue?");t===!0&&($("<input>").attr({type:"hidden",name:"userAvatarSelectChoice",value:"true"}).appendTo("#customizer_form"),submitChanges())}else submitChanges()}function checkOverrideM2(e){if("fixed"==e&&1==jsThemeConfig.requireAvatar){var t=confirm("You have allowed users to select an avatar in the General Widget Design Module.\n\nSwitching to a fixed avatar will over-ride that setting.\n\nContinue?");t===!0&&($("<input>").attr({type:"hidden",name:"requireAvatar",value:0}).appendTo("#customizer_form"),submitChanges())}else submitChanges()}function restore(){parseInt(sessionStorage.getItem("ultimate_support_chat-jsSession--lastClickedPos"));$(".h-scroll").animate({scrollTop:$(".h-scroll").offset().top+parseInt(sessionStorage.getItem("ultimate_support_chat-jsSession--lastClickedPos")-165)},0)}function adminPlayPauseAudio(){adminAudioPlayer.paused?(adminAudioPlayer.play(),jQuery("#admin_play_pause").html('<icon class="play_pause_icon fa fa-pause"></icon>')):(adminAudioPlayer.pause(),jQuery("#admin_play_pause").html('<icon class="play_pause_icon fa fa-play"></icon>'))}function userPlayPauseAudio(){userAudioPlayer.paused?(userAudioPlayer.play(),jQuery("#user_play_pause").html('<icon class="play_pause_icon fa fa-pause"></icon>')):(userAudioPlayer.pause(),jQuery("#user_play_pause").html('<icon class="play_pause_icon fa fa-play"></icon>'))}function showOptions(){$("#ultimate_chat_options").toggle()}function emojiPanel(e){0==emojiListenersActivated&&(usc_emoji_picker.innerHTML=emojiMarkup,activateEmojiListeners(),emojiListenersActivated=!0,"twitter"==emojiFamily&&twemoji.parse(document.getElementById("usc_emoji_picker"),{size:72}));var t=document.getElementById("usc_emoji_picker"),a=t.style.visibility;(""==a||"hidden"==a)&&(t.style.visibility="visible"),("visible"==a||"close"==e)&&(t.style.visibility="hidden");var s=document.querySelectorAll(".emoji_tab");s[1].className+=" emoji_tab_selected",document.getElementById("content1").style.display="block";for(var i=0;i<s.length;i++)s[i].addEventListener("click",function(e){for(var t=0;t<s.length;t++)s[t].classList.remove("emoji_tab_selected"),document.getElementById("content"+t).style.display="none";this.className+=" emoji_tab_selected",document.getElementById("content"+this.getAttribute("data-tab")).style.display="block"});$("#options_list").hide(),$("#ultimate_chat_options").hide()}function activateEmojiListeners(){var e=recentlyUsedEmoji,t=[e,emoji_list_1,emoji_list_2,emoji_list_3,emoji_list_4,emoji_list_5,emoji_list_6,emoji_list_7,emoji_list_8];for(c=0;c<=8;c++){var a="";for(i=0;i<t[c].length;i++)a+='<li data-list="'+c+'" data-hex="'+t[c][i]+'">&#x'+t[c][i]+"</li>";document.getElementById("emoji-list-"+c).innerHTML=a}var s;for(c=0;c<=8;c++){s=document.getElementById("emoji-list-"+c).getElementsByTagName("li");for(var i=0;i<s.length;i++)s[i].addEventListener("click",appendEmoji,!1)}}function appendEmoji(){0!=this.getAttribute("data-list")&&push_to_recentlyUsedEmoji(this.getAttribute("data-hex")),appendHTML_placeCaretAtEnd('<img class="usc_emoji_lg" src="'+this.firstChild.getAttribute("src")+'" />',wysiwygNode)}function appendHTML_placeCaretAtEnd(e,t){if(wysiwygNode.innerHTML=wysiwygNode.innerHTML+e,t.focus(),"undefined"!=typeof window.getSelection&&"undefined"!=typeof document.createRange){var a=document.createRange();a.selectNodeContents(t),a.collapse(!1);var s=window.getSelection();s.removeAllRanges(),s.addRange(a)}else if("undefined"!=typeof document.body.createTextRange){var i=document.body.createTextRange();i.moveToElementText(t),i.collapse(!1),i.select()}}function push_to_recentlyUsedEmoji(e){recentlyUsedEmoji.unshift(e),recentlyUsedEmoji=unique(recentlyUsedEmoji),recentlyUsedEmoji.length>=72&&recentlyUsedEmoji.pop(),localStorage.setItem("USC-recently-used-emoji",JSON.stringify(recentlyUsedEmoji)),emoji_li="";for(var t=0;t<recentlyUsedEmoji.length;t++)emoji_li+='<li data-list="0" data-hex="'+recentlyUsedEmoji[t]+'">&#x'+recentlyUsedEmoji[t]+"</li>";recentEmojiContentHolder=document.getElementById("content0"),recentEmojiContentHolder.innerHTML='<ul id="emoji-list-0" class="emoji-list">'+emoji_li+"</ul>",twemoji.parse(recentEmojiContentHolder,{size:72}),emojiList_0=document.getElementById("emoji-list-0").getElementsByTagName("li");for(var t=0;t<emojiList_0.length;t++)emojiList_0[t].addEventListener("click",appendEmoji,!1)}function unique(e){var t=[];return $.each(e,function(e,a){-1==$.inArray(a,t)&&t.push(a)}),t}if("slideside"==jsThemeConfig.triggerMethod){var holderBorder="";""!=jsThemeConfig.widgetBorder&&(holderBorder="border:1px solid "+jsThemeConfig.widgetBorder+"; border-top:none; ");var headerBorder="";""!=jsThemeConfig.widgetBorder&&(headerBorder="border:1px solid ");var headerShadow="",bodyShadow="";"true"==jsThemeConfig.widgetShadow&&(headerShadow=";box-shadow: -5px 0px 35px -10px #000; -webkit-box-shadow: -5px 0px 35px -10px #000;",bodyShadow=";box-shadow: 0px 15px 35px -10px #000; -webkit-box-shadow: 0px 15px 35px -10px #000;");var addHeaderImages="",slidesideTextMargin="",slidesideHeaderMargin="";"none"!=jsThemeConfig.headerImageType,jsThemeConfig.widgetBackgroundImg="",jsThemeConfig.headerBackgroundImg="","image"==jsThemeConfig.backgroundStyle&&(jsThemeConfig.backgroundColor="transparent")}else{var borderBool="";""!=jsThemeConfig.widgetBorder&&(borderBool="border:1px solid ");var shadowBool="";"true"==jsThemeConfig.widgetShadow&&(shadowBool=";box-shadow: 0 5px 35px -10px #000; -webkit-box-shadow: 0 5px 35px -10px #000"),addHeaderImages="",jsThemeConfig.widgetBackgroundImg="",jsThemeConfig.headerBackgroundImg=""}var headerColor="background:"+jsThemeConfig.headerColor+";";if(""!=jsThemeConfig.headerGradient&&(headerColor="background-image: -ms-linear-gradient(right, "+jsThemeConfig.headerGradient+" 0%, "+jsThemeConfig.headerColor+" 100%);background-image: -o-linear-gradient(right, "+jsThemeConfig.headerGradient+" 0%, "+jsThemeConfig.headerColor+" 100%);background:linear-gradient(right,"+jsThemeConfig.headerGradient+","+jsThemeConfig.headerColor+");background:-webkit-linear-gradient(right,"+jsThemeConfig.headerGradient+","+jsThemeConfig.headerColor+");background:-moz-linear-gradient(right,"+jsThemeConfig.headerGradient+","+jsThemeConfig.headerColor+");"),"default"==jsThemeConfig.triggerMethod){var widgetButtonColor="background:"+jsThemeConfig.widgetButtonColor+";";""!=jsThemeConfig.widgetButtonColorGradient&&(widgetButtonColor="background-image: -ms-linear-gradient(right, "+jsThemeConfig.widgetButtonColorGradient+" 0%, "+jsThemeConfig.widgetButtonColor+" 100%);background-image: -o-linear-gradient(right, "+jsThemeConfig.widgetButtonColorGradient+" 0%, "+jsThemeConfig.widgetButtonColor+" 100%);background:linear-gradient(right,"+jsThemeConfig.widgetButtonColorGradient+","+jsThemeConfig.widgetButtonColor+");background:-webkit-linear-gradient(right,"+jsThemeConfig.widgetButtonColorGradient+","+jsThemeConfig.widgetButtonColor+");background:-moz-linear-gradient(right,"+jsThemeConfig.widgetButtonColorGradient+","+jsThemeConfig.widgetButtonColor+");")}var m1BtnBackground="background:"+jsThemeConfig.chatBtnMsgBackgroundColor+";";""!=jsThemeConfig.chatBtnMsgBackgroundGradient&&(m1BtnBackground="background-image: -ms-linear-gradient(right, "+jsThemeConfig.chatBtnMsgBackgroundGradient+" 0%, "+jsThemeConfig.chatBtnMsgBackgroundColor+" 100%);background-image: -o-linear-gradient(right, "+jsThemeConfig.chatBtnMsgBackgroundGradient+" 0%, "+jsThemeConfig.chatBtnMsgBackgroundColor+" 100%);background:linear-gradient(right,"+jsThemeConfig.chatBtnMsgBackgroundGradient+","+jsThemeConfig.chatBtnMsgBackgroundColor+");background:-webkit-linear-gradient(right,"+jsThemeConfig.chatBtnMsgBackgroundGradient+","+jsThemeConfig.chatBtnMsgBackgroundColor+");background:-moz-linear-gradient(right,"+jsThemeConfig.chatBtnMsgBackgroundGradient+","+jsThemeConfig.chatBtnMsgBackgroundColor+");");var m3BtnBackground="background:"+jsThemeConfig.sendMailBtnBackgroundColor+";";""!=jsThemeConfig.sendMailBtnBackgroundGradient&&(m3BtnBackground="background-image: -ms-linear-gradient(right, "+jsThemeConfig.sendMailBtnBackgroundGradient+" 0%, "+jsThemeConfig.sendMailBtnBackgroundColor+" 100%);background-image: -o-linear-gradient(right, "+jsThemeConfig.sendMailBtnBackgroundGradient+" 0%, "+jsThemeConfig.sendMailBtnBackgroundColor+" 100%);background:linear-gradient(right,"+jsThemeConfig.sendMailBtnBackgroundGradient+","+jsThemeConfig.sendMailBtnBackgroundColor+");background:-webkit-linear-gradient(right,"+jsThemeConfig.sendMailBtnBackgroundGradient+","+jsThemeConfig.sendMailBtnBackgroundColor+");background:-moz-linear-gradient(right,"+jsThemeConfig.sendMailBtnBackgroundGradient+","+jsThemeConfig.sendMailBtnBackgroundColor+");");var requireName="",requireEmail="";1==jsThemeConfig.requireName&&(requireName='<input type="text" class="ultimate_chat_input_m1" placeholder="'+jsThemeConfig.m1PlaceholderTextName+'" id="username" name="username" value="" required/>'),1==jsThemeConfig.requireEmail&&(requireEmail='<input type="email" class="ultimate_chat_input_m1" placeholder="'+jsThemeConfig.m1PlaceholderTextEmail+'" id="useremail" name="useremail" value="" required/>');var mark_up_var1="";"default"==jsThemeConfig.triggerMethod&&(mark_up_var1='<span class="ultimate_chat_close_holder" id="ultimate_chat_close_holder"><icon class="default_chat_icon" data-icon="b" style="color:'+jsThemeConfig.headerTextColor+'"></icon></span></div>'),"slideup"==jsThemeConfig.triggerMethod&&(mark_up_var1='<span class="ultimate_chat_link_holder" id="chat_link_holder"><icon class="'+jsThemeConfig.triggerMethod+'_chaticon" data-icon="e" style="color:'+jsThemeConfig.headerTextColor+'"></icon></span></div>'),"slideside"==jsThemeConfig.triggerMethod&&(mark_up_var1="");var buttonTriggerVar="",mark_up_var2="";"default"==jsThemeConfig.triggerMethod&&(buttonTriggerVar='<div class="ultimate_chat_btn_wrap" id="ultimate_chat_btn_wrap"><div class="ultimate_chat_start_btn" id="ultimate_chat_start_btn" style="'+widgetButtonColor+'"><icon class="'+jsThemeConfig.triggerMethod+'_chaticon" data-icon="e" style="color:'+jsThemeConfig.widgetButtonColorIcon+'"></icon></div></div>',mark_up_var2=buttonTriggerVar),"slideside"==jsThemeConfig.triggerMethod&&(mark_up_var2="</div>");var mark_up_var_init="",ultimate_chat_holder="",ultimate_chat_holder_slideside="",slideside_link_holder="",ultimate_chat_header="",ultimate_chat_header_text="",slideside_shadow_eraser="",slideside_header_text="";"slideside"==jsThemeConfig.triggerMethod?(ultimate_chat_holder_slideside='<div class="ultimate_chat_holder holder_'+jsThemeConfig.triggerMethod+'" id="ultimate_chat_holder" style=";'+holderBorder+shadowBool+";border-top-left-radius: "+jsThemeConfig.widgetRadius+";border-top-right-radius: "+jsThemeConfig.widgetRadius+";background:"+jsThemeConfig.backgroundColor+bodyShadow+'" ',slideside_link_holder='<div class="ultimate_chat_link_holder_'+jsThemeConfig.triggerMethod+'" id="ultimate_chat_link_holder" style=";'+headerColor+";"+headerBorder+jsThemeConfig.widgetBorder+headerShadow+";border-top-left-radius: "+jsThemeConfig.widgetRadius+";border-top-right-radius: "+jsThemeConfig.widgetRadius+";border-bottom-left-radius: "+jsThemeConfig.widgetRadius+';border-right:none;"><icon class="'+jsThemeConfig.triggerMethod+'_chaticon" data-icon="e" style="color:'+jsThemeConfig.headerTextColor+'"></icon></div>',slideside_shadow_eraser='<div class="ultimate_chat_shadow_eraser" style="background:'+jsThemeConfig.backgroundColor+'"></div>',slideside_header_text='<div class="ultimate_chat_header_text" style="color:'+jsThemeConfig.headerTextColor+'">',mark_up_var_init=ultimate_chat_holder_slideside+' data-module="1" >'+slideside_link_holder+slideside_shadow_eraser+slideside_header_text+jsThemeConfig.headerTextM1+"</div>"):(ultimate_chat_holder='<div class="ultimate_chat_holder" id="ultimate_chat_holder"style="'+("default"==jsThemeConfig.triggerMethod?"style='display:none'":"")+";"+borderBool+jsThemeConfig.widgetBorder+shadowBool+";border-top-left-radius: "+jsThemeConfig.widgetRadius+";border-top-right-radius: "+jsThemeConfig.widgetRadius+";background:"+jsThemeConfig.backgroundColor+'" ',ultimate_chat_header='<div class="ultimate_chat_header" id="ultimate_chat_header" style="'+headerColor+'">',ultimate_chat_header_text='<span class="header_text" style="color:'+jsThemeConfig.headerTextColor+'">',mark_up_var_init=ultimate_chat_holder+' data-module="1" >'+ultimate_chat_header+ultimate_chat_header_text+jsThemeConfig.headerTextM1+"</span>"+mark_up_var1);var mark_up=mark_up_var_init+'<div class="ultimate_chat_invite_message" style="color:'+jsThemeConfig.initMsgColor+'">'+jsThemeConfig.initMsgModule_1+'</div><div class="ultimate_chat_enter_username_spacer"></div><div id="user_avatar_wrapper" style="display:none; margin-bottom: 20px;"><span id="control_prev" class="control_prev" style="'+m1BtnBackground+"; color:"+jsThemeConfig.chatBtnMsgFontColor+'"><</span><span id="control_next" class="control_next" style="'+m1BtnBackground+"; color:"+jsThemeConfig.chatBtnMsgFontColor+'">></span><div id="avatar_holder"><ul id="avatar_list" class="avatar_li"></ul></div></div><form id="start_chat_m1" method="post">'+requireName+requireEmail+'<input type="submit" class="ultimate_chat_button" value="'+jsThemeConfig.chatBtnMsg+'" style="'+m1BtnBackground+"; color:"+jsThemeConfig.chatBtnMsgFontColor+'"/></form><div id="returned_msg" style="color:red; line-height: 0; text-align: center;"></div></div>'+mark_up_var2,chatMarkup_init="";"default"==jsThemeConfig.triggerMethod&&(chatMarkup_init=ultimate_chat_holder+' data-module="2" ><div class="ultimate_chat_header" id="ultimate_chat_header" style="'+headerColor+'"><span class="ultimate_chat_close_holder" id="ultimate_chat_close_holder"><icon class="default_chat_icon" data-icon="b" style="color:'+jsThemeConfig.headerTextColor+'"></icon></span><span class="header_image" id="header_image">'+addHeaderImages+'</span><span class="header_text" style="color:'+jsThemeConfig.headerTextColor+'">'+jsThemeConfig.headerTextM2+'</span><span class="ultimate_chat_options_btn" onclick="showOptions()"><icon class="'+jsThemeConfig.triggerMethod+'_optionsicon" data-icon="r" style="color:'+jsThemeConfig.headerTextColor+'"></icon></span></div>'),"slideup"==jsThemeConfig.triggerMethod&&(chatMarkup_init=ultimate_chat_holder+' data-module="2" ><div class="ultimate_chat_header" id="ultimate_chat_header" style="'+headerColor+'"><span class="header_image" id="header_image">'+addHeaderImages+'</span><span class="header_text" style="color:'+jsThemeConfig.headerTextColor+'">'+jsThemeConfig.headerTextM2+'</span><span class="ultimate_chat_link_holder" id="chat_link_holder"><icon class="'+jsThemeConfig.triggerMethod+'_chaticon" data-icon="e" style="color:'+jsThemeConfig.headerTextColor+'"></icon></span><span class="ultimate_chat_options_btn" onclick="showOptions()"><icon class="'+jsThemeConfig.triggerMethod+'_optionsicon" data-icon="r" style="color:'+jsThemeConfig.headerTextColor+'"></icon></span></div>'),"slideside"==jsThemeConfig.triggerMethod&&(chatMarkup_init=ultimate_chat_holder_slideside+' data-module="2" >'+slideside_link_holder+'<span class="ultimate_chat_options_btn" onclick="showOptions()"><icon class="'+jsThemeConfig.triggerMethod+'_optionsicon" data-icon="r" style="color:'+jsThemeConfig.headerTextColor+'"></icon></span><div class="ultimate_chat_shadow_eraser w_menu" style="background:'+jsThemeConfig.backgroundColor+'"></div><div class="ultimate_chat_header_text" style="'+slidesideTextMargin+"; color:"+jsThemeConfig.headerTextColor+'">'+jsThemeConfig.headerTextM2+'</div><span class="header_image" id="header_image" style="'+slidesideHeaderMargin+'">'+addHeaderImages+"</span>");var chatHistoryVar="";chatHistoryVar="default"==jsThemeConfig.triggerMethod?'<div class="'+jsThemeConfig.triggerMethod+'_chat_history_holder" id="chat_history_holder"><div class="'+jsThemeConfig.triggerMethod+'_chat_history" id="chat_history" style="background:'+jsThemeConfig.backgroundColor+'; color:white">':'<div class="'+jsThemeConfig.triggerMethod+'_chat_history_holder"><div class="'+jsThemeConfig.triggerMethod+'_chat_history" id="chat_history">';var chatMarkup=chatMarkup_init+'<ul id="ultimate_chat_options"><li class="ultimate_chat_options_li" '+("slideside"==jsThemeConfig.triggerMethod?"style='margin-right: 20px !important; top: 50px;'":"")+'><span id="sound_on_off_btn"><icon class="usc_options_icon" data-icon="n"></icon>Sound off</span><span id="wide_mode_btn"><icon class="usc_options_icon" data-icon="c"></icon>Wide mode</span><span id="scroll_btn"><icon class="usc_options_icon" data-icon="j"></icon>Auto scroll</span><span id="emogi_btn" onclick="emojiPanel()"><icon class="usc_options_icon" data-icon="d"></icon>Emoji</span><span id="end_chat_btn"><icon class="usc_options_icon" data-icon="g"></icon>End chat</span></li></ul>'+chatHistoryVar+'<div class="a_reply"><span class="a_1"></span><span class="a_avatar_border"></span><span class="a_content_wrap"><span class="a_2"></span><span class="a_3"></span><span class="a_4"></span></span></div><div class="u_reply"><span class="u_1"></span><span class="u_avatar_border"></span><span class="u_content_wrap"><span class="u_2"></span><span class="u_3"></span><span class="u_4"></span></span></div></div></div><div id="usc_emoji_picker"></div><div id="ultimate_chat_bottom_textarea_wrapper" style="background-color: '+jsThemeConfig.textarea2BackgroundColor+'"><div id="usc_wysiwyg" class="ultimate_chat_bottom_textarea" contenteditable="true" placeholder="'+jsThemeConfig.m2PlaceholderTextMessage+'"></div><input name="user_ui"  type="hidden" id="user_ui" value=""><button id="emoji_btn" class="emoji_btn_icon" style="color: '+jsThemeConfig.textarea2EmojiBtnColor+'" onclick="emojiPanel()"><icon data-icon="d"></icon></button><button id="submit_reply" class="sendicon" style="color: '+jsThemeConfig.textarea2BtnColor+'"><icon data-icon="s"></icon></button></div></div>'+buttonTriggerVar,message_init_front="";
"default"==jsThemeConfig.triggerMethod&&(message_init_front=ultimate_chat_holder+' data-module="3" >'+ultimate_chat_header+ultimate_chat_header_text+jsThemeConfig.headerTextM3+'</span><span class="ultimate_chat_close_holder" id="ultimate_chat_close_holder" style="color:'+jsThemeConfig.headerTextColor+'"><icon class="default_chat_icon" data-icon="b"></icon></span></div>'),"slideup"==jsThemeConfig.triggerMethod&&(message_init_front=ultimate_chat_holder+' data-module="3" >'+ultimate_chat_header+ultimate_chat_header_text+jsThemeConfig.headerTextM3+'</span><span class="ultimate_chat_link_holder" id="chat_link_holder"><icon class="'+jsThemeConfig.triggerMethod+'_chaticon" data-icon="e" style="color:'+jsThemeConfig.headerTextColor+'"></icon></span></div>'),"slideside"==jsThemeConfig.triggerMethod&&(message_init_front=ultimate_chat_holder_slideside+' data-module="3" >'+slideside_link_holder+slideside_shadow_eraser+slideside_header_text+jsThemeConfig.headerTextM3+'<div class="ultimate_chat_enter_username_spacer"></div>');var message_init=message_init_front+'<div class="ultimate_chat_enter_username_spacer"></div><form id="send_msg_m3" method="post"><div id="error_handling" style="color:red; margin-top:-22px; text-align: center; height:22px"></div><input type="text" class="ultimate_chat_input" name="contact_name" id="contact_name" placeholder="'+jsThemeConfig.m3PlaceholderTextName+'" required/><input type="email" class="ultimate_chat_input" name="contact_email" id="contact_email" placeholder="'+jsThemeConfig.m3PlaceholderTextEmail+'" required/><textarea class="ultimate_chat_textarea ultimate_chat_input"  name="contact_message" id="contact_message" placeholder="'+jsThemeConfig.m3PlaceholderTextMessage+'" required></textarea><input type="submit" class="ultimate_chat_button" value="'+jsThemeConfig.sendMailBtn+'" style="'+m3BtnBackground+"; color:"+jsThemeConfig.sendMailBtnFontColor+'"/></form/></div>'+buttonTriggerVar,nAgt=navigator.userAgent,browser=navigator.appName;-1!=(verOffset=nAgt.indexOf("Opera"))&&(browser="Opera"),-1!=(verOffset=nAgt.indexOf("OPR"))?browser="Opera":-1!=(verOffset=nAgt.indexOf("MSIE"))?browser="Microsoft Internet Explorer":-1!=(verOffset=nAgt.indexOf("Chrome"))?browser="Chrome":-1!=(verOffset=nAgt.indexOf("Safari"))?browser="Safari":-1!=(verOffset=nAgt.indexOf("Firefox"))?browser="Firefox":-1!=nAgt.indexOf("Trident/")?browser="Microsoft Internet Explorer":(nameOffset=nAgt.lastIndexOf(" ")+1)<(verOffset=nAgt.lastIndexOf("/"))&&(browser=nAgt.substring(nameOffset,verOffset),browser.toLowerCase()==browser.toUpperCase()&&(browser=navigator.appName));var editModule="",currentTrigger="{/literal}{$smarty.post.triggerMethod}{literal}",editedModule="{/literal}{$smarty.get.e}{literal}";if(""!=editedModule?edit(editedModule):(loadModules(),buildLayout(!0)),"default"==currentTrigger&&checkTrigger("default"),("none"!=jsThemeConfig.adminAvatarSelect||"none"!=jsThemeConfig.userAvatarSelect)&&$("#avatar_radius_wrap").show(),"css"==jsThemeConfig.adminAvatarSelect&&operatorAvatarCssSelect("css"),"css"==jsThemeConfig.userAvatarSelect&&userAvatarCssSelect("css"),2==editModule){var adminAudioPlayer=document.getElementById("admin_audio_player"),selectedAdminAudio=jQuery("#adminMessageAudio").find(":selected").val();adminAudioPlayer.src=dataServer+"audio/"+selectedAdminAudio+".mp3",jQuery("#adminMessageAudio").on("change",function(){selectedAdminAudio=jQuery("#adminMessageAudio").find(":selected").val(),adminAudioPlayer.src=dataServer+"audio/"+selectedAdminAudio+".mp3",adminPlayPauseAudio()}),jQuery("#admin_play_pause").click(function(){adminPlayPauseAudio()}),adminAudioPlayer.addEventListener("ended",function(){adminAudioPlayer.currentTime=0,jQuery("#admin_play_pause").html('<icon class="play_pause_icon fa fa-pause"></icon>')});var userAudioPlayer=document.getElementById("user_audio_player"),selectedUserAudio=jQuery("#userMessageAudio").find(":selected").val();userAudioPlayer.src=dataServer+"audio/"+selectedUserAudio+".mp3",jQuery("#userMessageAudio").on("change",function(){selectedUserAudio=jQuery("#userMessageAudio").find(":selected").val(),userAudioPlayer.src=dataServer+"audio/"+selectedUserAudio+".mp3",userPlayPauseAudio()}),jQuery("#user_play_pause").click(function(){userPlayPauseAudio()}),userAudioPlayer.addEventListener("ended",function(){userAudioPlayer.currentTime=0,jQuery("#user_play_pause").html('<icon class="play_pause_icon fa fa-pause"></icon>')})}var wysiwygNode=document.getElementById("usc_wysiwyg"),emojiFamily="twitter",emojiMarkup='<div id="thumbs"><label class="emoji_tab" data-tab="0">&#x1F558;</label><label class="emoji_tab" data-tab="1">&#x1F60A;</label><label class="emoji_tab" data-tab="2">&#x1F44D;</label><label class="emoji_tab" data-tab="3">&#x1F698;</label><label class="emoji_tab" data-tab="4">&#x1F334;</label><label class="emoji_tab" data-tab="5">&#x1F34E;</label><label class="emoji_tab" data-tab="6">&#x1F3E3;</label><label class="emoji_tab" data-tab="7">&#x1F414;</label><label class="emoji_tab" data-tab="8">&#x2B50;</label><span class="stretch"></span></div><div class="usc_emoji_content" id="content0"><ul id="emoji-list-0" class="emoji-list"></ul></div> <div class="usc_emoji_content" id="content1"><ul id="emoji-list-1" class="emoji-list"></ul></div> <div class="usc_emoji_content" id="content2"><ul id="emoji-list-2" class="emoji-list"></ul></div> <div class="usc_emoji_content" id="content3"><ul id="emoji-list-3" class="emoji-list"></ul></div> <div class="usc_emoji_content" id="content4"><ul id="emoji-list-4" class="emoji-list"></ul></div> <div class="usc_emoji_content" id="content5"><ul id="emoji-list-5" class="emoji-list"></ul></div> <div class="usc_emoji_content" id="content6"><ul id="emoji-list-6" class="emoji-list"></ul></div> <div class="usc_emoji_content" id="content7"><ul id="emoji-list-7" class="emoji-list"></ul></div> <div class="usc_emoji_content" id="content8"><ul id="emoji-list-8" class="emoji-list"></ul></div>',recentlyUsedEmoji=JSON.parse(localStorage.getItem("USC-recently-used-emoji"));null==recentlyUsedEmoji&&(recentlyUsedEmoji=["1F600","1F601","1F602"],localStorage.setItem("USC-recently-used-emoji",JSON.stringify(recentlyUsedEmoji)));var emoji_list_1=["1F600","1F601","1F602","1F603","1F604","1F605","1F606","1F607","1F608","1F609","1F60A","263A","1F60B","1F60C","1F60D","1F60E","1F60F","1F610","1F611","1F612","1F613","1F614","1F615","1F616","1F617","1F618","1F619","1F61A","1F61B","1F61C","1F61D","1F61E","1F61F","1F620","1F621","1F622","1F623","1F624","1F625","1F626","1F627","1F628","1F629","1F62A","1F62B","1F62C","1F62D","1F62E","1F62F","1F630","1F631","1F632","1F633","1F634","1F635","1F636","1F637","1F638","1F639","1F63A","1F63B","1F63C","1F63D","1F63E","1F63F","1F640","1F47D","1F47E","1F47F","1F480"],emoji_list_2=["1F445","1F446","1F447","1F448","1F449","1F44A","1F44B","1F44C","1F44D","1F44E","1F44F","1F450","270A","270B","270C","261D","1F4AA","1F4A9","1F451","1F452","1F453","1F454","1F455","1F456","1F457","1F458","1F459","1F45A","1F45B","1F45C","1F45D","1F45E","1F45F","1F460","1F461","1F462","1F463","1F464","1F465","1F466","1F467","1F468","1F469","1F46A","1F46B","1F46C","1F46D","1F46E","1F46F","1F470","1F471","1F472","1F473","1F474","1F475","1F476","1F477","1F478","1F479","1F47A","1F47B","1F47C","1F481","1F482","1F483","1F484","1F485","1F486","1F487","1F488","1F489","1F48A","1F48B","1F48C","1F48D","1F48E","1F48F","1F490","1F491","1F492","1F493","1F494","1F495","1F496","1F497","1F498","1F499","1F49A","1F49B","1F49C","1F49D","1F49E","1F49F","1F440","1F442","1F443","1F444","1F645","1F646","1F647","1F648","1F649","1F64A","1F64B","1F64C","1F64D","1F64E","1F64F"],emoji_list_3=["2708","1F680","1F681","1F682","1F683","1F684","1F685","1F686","1F687","1F688","1F689","1F68A","1F68B","1F68C","1F68D","1F68E","1F68F","1F690","1F691","1F692","1F693","1F694","1F695","1F696","1F697","1F698","1F699","1F69A","1F69B","1F69C","1F69D","1F69E","1F69F","1F6A0","1F6A1","1F6A2","1F6A3","1F6A4","1F6A5","1F6A6","1F6A7","1F6A8","1F6A9","1F6AA","1F6AB","1F6AC","1F6AD","1F6AE","1F6AF","1F6B2","1F6B3","1F6B4","1F6B5","1F6B6","1F6B7","1F6B8"],emoji_list_4=["1F301","1F303","1F304","1F305","1F306","1F307","1F308","1F309","1F30A","1F30B","1F30C","1F30D","1F30E","1F30F","1F310","1F311","1F312","1F313","1F314","1F315","1F316","1F317","1F318","1F319","1F31A","1F31B","1F31C","1F31D","1F31E","1F4A7","1F4A8","26C5","2600","2601","1F31F","1F320","1F330","1F331","1F332","1F333","1F334","1F335","1F337","1F338","1F339","1F33A","1F33B","1F33C","1F33D","1F33E","1F33F","1F340","1F341","1F342","1F343"],emoji_list_5=["1F362","1F363","1F364","1F365","1F366","1F367","1F368","1F369","1F36A","1F36B","1F36C","1F36D","1F36E","1F36F","1F370","1F371","1F372","1F373","1F374","1F375","1F376","1F377","1F378","1F379","1F37A","1F37B","1F37C","1F380","1F381","1F382","1F344","1F345","1F346","1F347","1F348","1F349","1F34A","1F34B","1F34C","1F34D","1F34E","1F34F","1F350","1F351","1F352","1F353","1F354","1F355","1F356","1F357","1F358","1F359","1F35A","1F35B","1F35C","1F35D","1F35E","1F35F","1F360","1F361"],emoji_list_6=["1F384","1F385","1F386","1F387","1F388","1F389","1F38A","1F38B","1F38C","1F38D","1F38E","1F38F","1F390","1F391","26FA","1F392","1F393","1F3A0","1F3A1","1F3A2","1F3A3","1F3A4","1F3A5","1F3A6","1F3A7","1F3A8","1F3A9","1F3AA","1F3AB","1F3AC","1F3AD","1F3AE","1F3AF","1F3B0","1F3B1","1F3B2","1F3B3","1F3B4","1F3B5","1F3B6","1F3B7","1F3B8","1F3B9","1F3BA","1F3BB","1F3BC","1F3BD","1F3BE","1F3BF","1F3C0","1F3C1","1F3C2","1F3C3","1F3C4","1F3C6","1F3C7","1F3C8","1F3C9","1F3CA","1F3E0","1F3E1","1F3E2","1F3E3","1F3E4","1F3E5","1F3E6","1F3E7","1F3E8","1F3E9","1F3EA","1F3EB","1F3EC","1F3ED","1F3EE","1F3EF","1F3F0","26EA","1F5FB","1F5FC","1F5FD","1F5FE","1F5FF"],emoji_list_7=["1F400","1F401","1F402","1F403","1F404","1F405","1F406","1F407","1F408","1F409","1F40A","1F40B","1F40C","1F40D","1F40E","1F40F","1F410","1F411","1F412","1F413","1F414","1F415","1F416","1F417","1F418","1F419","1F41A","1F41B","1F41C","1F41D","1F41E","1F41F","1F420","1F421","1F422","1F423","1F424","1F425","1F426","1F427","1F428","1F429","1F42A","1F42B","1F42C","1F42D","1F42E","1F42F","1F430","1F431","1F432","1F433","1F434","1F435","1F436","1F437","1F438","1F439","1F43A","1F43B","1F43C","1F43D","1F43E"],emoji_list_8=["1F4A0","1F4A1","1F4A2","1F4A3","1F4A4","1F4A5","1F4A6","1F4AB","1F4AC","1F4AD","1F4AE","1F4AF","1F4B0","1F4B1","1F4B2","1F4B3","1F4B4","1F4B5","1F4B6","1F4B7","1F4B8","1F4B9","1F4BA","1F4BB","1F4BC","1F4BD","1F4BE","1F4BF","1F4C0","1F4C1","1F4C2","1F4C3","1F4C4","1F4C5","1F4C6","1F4C7","1F4C8","1F4C9","1F4CA","1F4CB","1F4CC","1F4CD","1F4CE","1F4CF","1F4D0","1F4D1","1F4D2","1F4D3","1F4D4","1F4D5","1F4D6","1F4D7","1F4D8","1F4D9","1F4DA","1F4DB","1F4DC","1F4DD","1F4DE","1F4DF","1F4E0","1F4E1","1F4E2","1F4E3","1F4E4","1F4E5","1F4E6","1F4E7","1F4E8","1F4E9","1F4EA","1F4EB","1F4EC","1F4ED","1F4EE","1F4EF","1F4F0","1F4F1","1F4F2","1F4F3","1F4F4","1F4F5","1F4F6","1F4F7","1F4F9","1F4FA","1F4FB","1F4FC","1F500","1F507","1F508","1F50A","1F50B","1F50C","1F50D","1F50E","1F50F","1F510","1F511","1F512","1F513","1F514","1F515","1F516","1F517","1F518","1F51E","1F524","1F525","1F526","1F527","1F528","1F529","1F52A","1F52B","1F52C","1F52D","1F52E","1F52F","1F530","1F531","1F559","1F6B9","1F6BA","1F6BB","1F6BC","1F6BD","1F6BE","1F6BF","1F6C0","1F6C1","1F6C2","1F6C3","1F6C4","1F6C5","203C","2049","2122","2139","231A","231B","23F0","23F3","24C2","260E","2611","1F302","2614","2615","2648","2649","264A","264B","264C","264D","264E","264F","2650","2651","2652","2653","2660","2663","2665","2666","2668","267B","267F","2693","26A0","26A1","26AA","26AB","26BD","26BE","26C4","26CE","26D4","26F2","26F3","26F5","26FD","2702","2705","2709","270F","2712","2714","2716","2728","2733","2734","1F505","1F506","2744","2747","274C","274E","2753","2754","2755","2757","2764","2795","1F004","1F0CF"],usc_emoji_picker=document.getElementById("usc_emoji_picker"),emojiListenersActivated=!1;

{/literal}
</script>


